---
title: 'Feature-Policy: unsized-media'
slug: Web/HTTP/Headers/Feature-Policy/unsized-media
tags:
  - Directive
  - Feature-Policy
  - HTTP
  - Reference
---
<p>{{HTTPSidebar}} {{SeeCompatTable}}</p>

<p>The HTTP {{HTTPHeader('Feature-Policy')}} header <code>unsized-media</code> directive controls whether the current document is allowed to change the size of media elements after the initial layout is complete.</p>

<p>This restriction solves "layout instability" problem caused by providing default dimensions for images whose size is not specified in advance so that image doesn't change size after loading.</p>

<h2 id="Syntax">Syntax</h2>

<pre>Feature-Policy: unsized-media &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page('Web/HTTP/Feature_Policy/Using_Feature_Policy', 'allowlist')}}</dd>
</dl>

<h2 id="Default_value">Default value</h2>

<p>The default value for unsized-media is <code>'*'</code>, that is unsized media elements are allowed for all origins by default. The page will re-flow every time an image with unknown dimensions is loaded.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Feature Policy')}}</td>
   <td>{{Spec2('Feature Policy')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat('http.headers.Feature-Policy.unsized-media')}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader('Feature-Policy')}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
 <li><a href="https://github.com/w3c/webappsec-feature-policy/blob/master/policies/unsized-media.md">Proposal</a></li>
</ul>
